Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062017 - [Docs] [Glance] [RFE] Configure the Glance cache to use a different prefix and port
Summary: [Docs] [Glance] [RFE] Configure the Glance cache to use a different prefix an...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 7.0 (Kilo)
Assignee: Deepti Navale
QA Contact: Lucy Bopf
URL:
Whiteboard:
Depends On: 929108
Blocks: 1269041
TreeView+ depends on / blocked
 
Reported: 2014-02-06 04:34 UTC by Summer Long
Modified: 2015-11-25 02:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 929108
Environment:
Last Closed: 2015-11-25 02:16:40 UTC


Attachments (Terms of Use)

Description Summer Long 2014-02-06 04:34:17 UTC
+++ This bug was initially created as a clone of Bug #929108 +++
Description of problem:

The cachemanagement API is hardcoded to use v1:

  https://github.com/openstack/glance/blob/master/glance/api/middleware/cache_manage.py#L36

whereas if the v2 API is enabled, but not v1, this is problematic as clients would want to use v2 across the board.

Steps to Reproduce:
1. Install Glance
2. Disable v1 in *-paste.ini files
3. Call any url related to the cache middleware.
  
Actual results:

$ curl -H "X-Auth-Token: $tok" http://10.130.50.34:9292/v1/cached_images | python -m json.tool
  % Total % Received % Xferd Average Speed Time Time Time Current
                                 Dload Upload Total Spent Left Speed
100 119 100 119 0 0 25142 0 --:--:-- --:--:-- --:--:-- 29750
{
    "versions": [
        {
            "id": "v2.0",
            "links": [
                {
                    "href": "http://10.130.50.34:9292/v2/",
                    "rel": "self"
                }
            ],
            "status": "CURRENT"
        }
    ]
}


Expected results:

It should return the list of cached_images (if cache is enabled)

Comment 2 Martin Lopes 2014-02-07 01:10:39 UTC
This bug is being assigned to Deepti Navale, who is now the designated docs specialist for Glance.

Comment 3 Deepti Navale 2014-05-12 04:11:23 UTC
Updated flags based on parent bug.

Comment 4 Don Domingo 2014-09-16 03:36:09 UTC
Reassigning to Bruce, as he is now in charge of all Dashboard content.

Comment 6 Andrew Dahms 2015-04-23 23:44:04 UTC
Moving back to 'NEW' until reassignment.

Comment 8 Andrew Dahms 2015-09-22 07:22:02 UTC
Re-assigning to Deepti for review.

Deepti - would you be able to look into this bug and determine whether it is still relevant for RHEL-OSP 7?

If not, perhaps we can close this bug.

Comment 9 Flavio Percoco 2015-09-29 06:25:03 UTC
This hasn't changed in Glance's API. The cache configuration is documented here[0] and, AFAICT, it won't change anytime soon.

This bugs depends on one that was closed as `UPSTREAM`. I'd advice to make sure the cache configuration process is documented and close this bug. If it's already documented, then I'd recommend closing this bug for now.

[0] http://docs.openstack.org/developer/glance/configuring.html#configuring-the-image-cache

Comment 10 Deepti Navale 2015-09-30 00:51:34 UTC
Hi Flavio,

Appreciate the quick response. I'm adding the information to the Configuration Reference guide and will send out a link for a tech review in the next few days.

Thanks!

Comment 17 Andrew Dahms 2015-11-25 02:16:40 UTC
This content is now live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.